%define _name libmpeg2

Name: mpeg2dec
Version: 0.3.1
Release: alt1

Summary: mpeg-1 and mpeg-2 streams decoder
License: GPL
Group: Video
Url: http://%_name.sourceforge.net
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: %url/files/%name-%version.tar.gz

Requires: %_name = %version-%release

# Automatically added by buildreq on Sat Dec 14 2002
BuildRequires: XFree86-devel aalib-devel esound-devel freetype2 glibc-devel-static libSDL-devel libalsa2-devel libarts-devel libaudiofile-devel libexpat libfontconfig libslang

%description
%_name is a free library for decoding mpeg-2 and mpeg-1 video streams

%name is a test program for %_name. It decodes mpeg-1 and mpeg-2
video streams, and also includes a demultiplexer for mpeg-1 and mpeg-2
program streams. It is purposely kept simple : it does not include
features like reading files from a DVD, CSS, fullscreen output,
navigation, etc... The main purpose of %name is to have a simple test
bed for %_name.

%package -n %_name
Summary: Shared version of %_name library
Group: System/Libraries

%description -n %_name
Shared library for decoding mpeg-2 and mpeg-1 video streams.

%package -n %_name-devel
Summary: %_name development files
Group: Development/C
Requires: %_name = %version-%release

%description -n %_name-devel
This package contains header files and development libraries for %_name

%package -n %_name-devel-static
Summary: Static version of %_name library
Group: Development/C
Requires: %_name-devel = %version-%release

%description -n %_name-devel-static
This package contains static versions of %_name

%prep
%setup -q

%build
%configure --enable-shared
%make_build

%install
%makeinstall

%post -n %_name -p %post_ldconfig
%postun -n %_name -p %postun_ldconfig

%files
%_bindir/*
%_man1dir/*

%files -n %_name
%_libdir/*.so.*
%doc AUTHORS ChangeLog NEWS README TODO doc/*.txt

%files -n %_name-devel
%_includedir/*
%_libdir/*.so
%_libdir/*.la
%_libdir/pkgconfig/*

%files -n %_name-devel-static
%_libdir/*.a

%changelog
* Sat Dec 14 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.3.1-alt1
- 0.3.1

* Wed Dec 04 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.3.0-alt1
- 0.3.0

* Mon Oct 14 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.2.1-alt2
- Rebuild with gcc-3.2. 

* Sat May 04 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.2.1-alt1
- First build for Sisyphus. 
